com.pixelmed.web

## Class WadoServer.WADOWorker

- java.lang.Object
- - com.pixelmed.web.HttpServer.Worker
  - - com.pixelmed.web.WadoServer.WADOWorker

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  WadoServer

    protected class WadoServer.WADOWorker
    extends HttpServer.Worker

### Constructor Summary

Constructors
`protected` `WadoServer.WADOWorker()`

### Method Summary

Methods
`protected void` `generateResponseToGetRequest(java.lang.String requestURI, java.io.OutputStream out)`

### Methods inherited from class com.pixelmed.web.HttpServer.Worker

`run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WadoServer.WADOWorker

    protected WadoServer.WADOWorker()

### Method Detail

#### generateResponseToGetRequest

    protected void generateResponseToGetRequest(java.lang.String requestURI,
                                    java.io.OutputStream out)
                                         throws java.io.IOException

Specified by:
  `generateResponseToGetRequest` in class `HttpServer.Worker`
Throws:
  `java.io.IOException`